vike
API EndpointsHyperliquid

/wallets/{address}/trades

Closed round-trip trades for one wallet, newest first, cursor-paged.

GET https://data.vike.io/v1/hyperliquid/wallets/{address}/trades

Closed round-trip trades for one wallet, newest first, cursor-paged.

cURL
# the newest closed round-trip trades of one wallet
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/trades?limit=3" \
  -H "X-API-KEY: $VIKE_API_KEY"

# next page of the call just above: NEXT is its nextCursor, passed back verbatim
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/trades?limit=3&cursor=$NEXT" \
  -H "X-API-KEY: $VIKE_API_KEY"

# one coin's trades
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/trades?coin=BTC&limit=100" \
  -H "X-API-KEY: $VIKE_API_KEY"

# a pinned month of closed trades: start filters on close time, so a trade opened earlier and closed inside the window is included
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/trades?start=2026-08-01T00:00:00Z&end=2026-09-01T00:00:00Z&limit=5000" \
  -H "X-API-KEY: $VIKE_API_KEY"

# win count and net PnL of a page
curl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/trades?limit=1000" \
  -H "X-API-KEY: $VIKE_API_KEY" \
  | jq '.trades | {trades: length, wins: (map(select(.realized_pnl > 0)) | length), net_pnl: (map(.realized_pnl) | add)}'
addresspathrequired
The wallet
coinqueryoptional
HL coin ticker, e.g. BTC. Omit for all
startqueryoptional
ISO-8601 UTC bounds
endqueryoptional
ISO-8601 UTC bounds
limitqueryoptional
Default 100, max 5000
cursorqueryoptional
nextCursor from the previous page, verbatim
Example response
{
  "wallet": "0x25773676902085225ae5751075e4161369334897",
  "trades": [
    {
      "asset": "io:SNDK",
      "direction": "short",
      "open_ts": "2026-09-03T07:20:22.487000+00:00",
      "close_ts": "2026-09-03T07:44:53.266000+00:00",
      "duration_seconds": 1470,
      "entry_price": 1545.0404275385101,
      "exit_price": 1544.4,
      "max_size_token": 3.3660999999999994,
      "max_size_usd": 5200.624499999999,
      "volume_usd": 7988.22181,
      "realized_pnl": -17.077995,
      "total_fee": 0.052302,
      "fill_count": 14,
      "is_complete": true
    },
    {
      "asset": "xyz:SP500",
      "direction": "short",
      "open_ts": "2026-09-03T07:25:31.682000+00:00",
      "close_ts": "2026-09-03T07:44:46.388000+00:00",
      "duration_seconds": 1154,
      "entry_price": 7668.138927427963,
      "exit_price": 7676.2,
      "max_size_token": 7.4959999999999996,
      "max_size_usd": 57477.4812,
      "volume_usd": 114989.9841,
      "realized_pnl": -29.252252,
      "total_fee": 1.873843,
      "fill_count": 39,
      "is_complete": true
    },
    {
      "asset": "xyz:HYUNDAI",
      "direction": "long",
      "open_ts": "2026-09-03T07:41:59.151000+00:00",
      "close_ts": "2026-09-03T07:44:15.479000+00:00",
      "duration_seconds": 136,
      "entry_price": 281.88,
      "exit_price": 281.77,
      "max_size_token": 2.4,
      "max_size_usd": 676.512,
      "volume_usd": 1355.04746,
      "realized_pnl": -0.156,
      "total_fee": 0.022122,
      "fill_count": 7,
      "is_complete": true
    }
  ],
  "nextCursor": "eyJhIjoieHl6OkhZVU5EQUkiLCJjIjoiMjAyNi0wOS0wMyAwNzo0NDoxNS40NzkiLCJkIjoxLCJvIjoiMjAyNi0wOS0wMyAwNzo0MTo1OS4xNTEifQ"
}
cURL
# the newest closed round-trip trades of one walletcurl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/trades?limit=3" \  -H "X-API-KEY: $VIKE_API_KEY"# next page of the call just above: NEXT is its nextCursor, passed back verbatimcurl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/trades?limit=3&cursor=$NEXT" \  -H "X-API-KEY: $VIKE_API_KEY"# one coin's tradescurl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/trades?coin=BTC&limit=100" \  -H "X-API-KEY: $VIKE_API_KEY"# a pinned month of closed trades: start filters on close time, so a trade opened earlier and closed inside the window is includedcurl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/trades?start=2026-08-01T00:00:00Z&end=2026-09-01T00:00:00Z&limit=5000" \  -H "X-API-KEY: $VIKE_API_KEY"# win count and net PnL of a pagecurl -s "https://data.vike.io/v1/hyperliquid/wallets/0x25773676902085225ae5751075e4161369334897/trades?limit=1000" \  -H "X-API-KEY: $VIKE_API_KEY" \  | jq '.trades | {trades: length, wins: (map(select(.realized_pnl > 0)) | length), net_pnl: (map(.realized_pnl) | add)}'
Example response
{  "wallet": "0x25773676902085225ae5751075e4161369334897",  "trades": [    {      "asset": "io:SNDK",      "direction": "short",      "open_ts": "2026-09-03T07:20:22.487000+00:00",      "close_ts": "2026-09-03T07:44:53.266000+00:00",      "duration_seconds": 1470,      "entry_price": 1545.0404275385101,      "exit_price": 1544.4,      "max_size_token": 3.3660999999999994,      "max_size_usd": 5200.624499999999,      "volume_usd": 7988.22181,      "realized_pnl": -17.077995,      "total_fee": 0.052302,      "fill_count": 14,      "is_complete": true    },    {      "asset": "xyz:SP500",      "direction": "short",      "open_ts": "2026-09-03T07:25:31.682000+00:00",      "close_ts": "2026-09-03T07:44:46.388000+00:00",      "duration_seconds": 1154,      "entry_price": 7668.138927427963,      "exit_price": 7676.2,      "max_size_token": 7.4959999999999996,      "max_size_usd": 57477.4812,      "volume_usd": 114989.9841,      "realized_pnl": -29.252252,      "total_fee": 1.873843,      "fill_count": 39,      "is_complete": true    },    {      "asset": "xyz:HYUNDAI",      "direction": "long",      "open_ts": "2026-09-03T07:41:59.151000+00:00",      "close_ts": "2026-09-03T07:44:15.479000+00:00",      "duration_seconds": 136,      "entry_price": 281.88,      "exit_price": 281.77,      "max_size_token": 2.4,      "max_size_usd": 676.512,      "volume_usd": 1355.04746,      "realized_pnl": -0.156,      "total_fee": 0.022122,      "fill_count": 7,      "is_complete": true    }  ],  "nextCursor": "eyJhIjoieHl6OkhZVU5EQUkiLCJjIjoiMjAyNi0wOS0wMyAwNzo0NDoxNS40NzkiLCJkIjoxLCJvIjoiMjAyNi0wOS0wMyAwNzo0MTo1OS4xNTEifQ"}